The constructor with a shareWidget is deprecated, use the regular contructor instead.

Asked by Weimin Song on 2018-08-10

Dear all,

I just installed yade-2018.02b on Ubuntu 18.04.
After I submit a test, the following error occurs:

The constructor with a shareWidget is deprecated, use the regular contructor instead.
Segmentation fault (core dumped)

Anyone could give some help to solve the problem?
Thanks.

Question information

Language:
English Edit question
Status:
Needs information
For:
Yade Edit question
Assignee:
No assignee Edit question
Last query:
2018-08-11
Last reply:
2018-08-13

This question was reopened

Weimin Song (wsong8) said : #1

After I reinstalled YADE using libQGLViewer version 2.6.4 [1], YADE can work normally.

[1] https://answers.launchpad.net/yade/+question/661824

Weimin Song (wsong8) said : #2

Problem still exists ... :(

Jérôme Duriez (jduriez) said : #3

Hi,

Can you clarify (with a minimal working example... or by saying it is just when you launch yade) under which circumstance this crash occurs ?
I did not understand "submit a test" especially.

Weimin Song (wsong8) said : #4

Hi Duriez,

This error occurs when I launch yade. I guess it may be because of something about QT.

Can you help with this problem?

Provide an answer of your own, or ask Weimin Song for more information if necessary.

To post a message you must log in.